Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## evalplayer
Class OperationPlayerThread

    java.lang.Object
      java.lang.Thread
          evalplayer.OperationPlayerThread

All Implemented Interfaces:
  java.lang.Runnable

    public class OperationPlayerThread

extends java.lang.Thread

The scheduler for playing operations in Evaluation-Player. This scheduler replaces the jedas-scheduler.

Author:
  Markus Krebs

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`static long` | `animStepTime`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`OperationPlayerThread(PlayerExercise exercise)` Creates an OperationPlayerThread

Method Summary
`boolean` | `isPlaying()`
`void` | `playSeqOpTimeStamp(OpTimeStamp ots)`
`void` | `run()`
`void` | `stopAnimation()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### animStepTime

    public static long animStepTime

Constructor Detail

### OperationPlayerThread

    public OperationPlayerThread(PlayerExercise exercise)

  Creates an OperationPlayerThread

  Parameters:
    `exercise` - PlayerExercise

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### playSeqOpTimeStamp

    public void playSeqOpTimeStamp(OpTimeStamp ots)

### stopAnimation

    public void stopAnimation()

### isPlaying

    public boolean isPlaying()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD